---
title: "CUPS: команды"
category: Linux
tags: Linux, печать, CUPS
...

Текущее состояние принтера (см. также [lpstat](http://cheat.sh/lpstat)):

```sh
lpstat -h hostname -p printer_name
```

Возобновить работу принтера:

```sh
lpadmin -h hostname -p printer_name -E
```

Печать (см. также [lp](http://cheat.sh/lp)):

```sh
lp -h hostname -d printer_name file.pdf
```

Просмотр очереди:

```sh
lpq -h hostname -p printer_name
```

Удаление задания job-id из очереди:

```sh
lprm -h hostname -p printer_name job-id
```

Удаление всех заданий из очереди:

```sh
lprm -h hostname -p printer_name -
```

